PHP, which is a recursive initialism for PHP: Hypertext Preprocessor, is amongst the most commonly used general-purpose programming languages that are available out there. Any website or web-based application based on PHP will run on a given web server provided that a PHP module is enabled, which renders the language really universal and it is not really a surprise that there are actually a few million servers that support it and 100s of millions of PHP websites hosted on them. PHP is preferred over HTML due to the fact that it allows you to develop a dynamic site with a ton of options. A PHP-based community portal, for example, will serve different web content to each user in spite of the fact that the page URL will stay unchanged. By contrast, HTML websites are static and the content on the pages can be edited only manually. Like any other software, PHP has different versions and the one that was used while building a given website must be configured on the web server in order for the site to behave correctly.

PHP 4 and PHP 5 Support in Hosting

Our hosting servers support several versions of PHP, which implies that your websites will work without any problem no matter if your scripts are outdated. We recognize the fact that an old website does not inevitably equal a vulnerable one as you may have carried out lots of mods to its code. That’s the reason why we support PHP 4, 5.2, 5.3, 5.4 and 5.5 and you can select which one will be enabled for your shared web hosting account. The version can be changed with a single mouse click via your Hepsia hosting Control Panel and the update will be applied straight away. If you want to run both older and newer scripts, there is even a possibility to use a different version of PHP for each of your domain names simultaneously.

PHP 4 and PHP 5 Support in Semi-dedicated Servers

Our semi-dedicated servers support multiple PHP versions, which suggests that you’ll be able to run all the web apps that you’ve created over the years. The Hepsia Control Panel, which comes bundled with every single semi-dedicated server account, will enable you to enable the required version with one single click of the mouse. You can select between PHP 4, 5.2, 5.3, 5.4 and 5.5. If you want to host multiple websites under the very same account and they have distinct requirements in relation to the hosting platform, you will be able to choose a different version for each of them irrespective of which version has been enabled for the account itself. This is possible owing to our in-house developed cloud web hosting platform, which allows us to run different versions of PHP simultaneously. By contrast, the great majority of hosting providers usually support one, occasionally two versions.